> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Grok Imagine Image-to-Video

> - Grok Imagine image-to-video generation model
- Supports `480p` / `720p` output, 1-15 seconds duration
- Asynchronous processing mode, use the returned task ID to [query status](/pages/en/api-manual/task-management/get-task-detail)
- Generated video links are valid for 24 hours, please save them promptly




## OpenAPI

````yaml openapi/en/grok-imagine-image-to-video.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: Grok Imagine Image-to-Video
  version: '1.0'
servers:
  - url: https://api.aihubmax.com
security:
  - BearerAuth: []
paths:
  /v1/videos/generations:
    post:
      tags:
        - Video > Grok
      summary: Grok Imagine Image-to-Video
      description: >
        - Grok Imagine image-to-video generation model

        - Supports `480p` / `720p` output, 1-15 seconds duration

        - Asynchronous processing mode, use the returned task ID to [query
        status](/pages/en/api-manual/task-management/get-task-detail)

        - Generated video links are valid for 24 hours, please save them
        promptly
      operationId: grok-imagine-image-to-video
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GrokImagineImageToVideoRequest'
            examples:
              image_to_video:
                summary: Image-to-video
                value:
                  model: grok-imagine-image-to-video
                  prompt: >-
                    The camera slowly pushes in as the character smiles and wind
                    moves the hair
                  image_url: https://example.com/reference.jpg
                  duration: 6
                  aspect_ratio: auto
                  resolution: 720p
      responses:
        '200':
          $ref: '#/components/responses/TaskCreated'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    GrokImagineImageToVideoRequest:
      type: object
      required:
        - model
        - prompt
        - image_url
      properties:
        model:
          description: >-
            `grok-imagine-image-to-video`: Image-to-video generation,
            aspect_ratio additionally supports auto
          examples:
            - grok-imagine-image-to-video
          type: string
          default: grok-imagine-image-to-video
        prompt:
          description: |
            Text prompt describing the desired video content or motion

            **Notes:**
            - Supports both Chinese and English
          type: string
          example: >-
            The camera slowly pushes in as the character smiles and wind moves
            the hair
        image_url:
          description: |
            Public URL of the input image

            **Notes:**
            - Must be a publicly accessible image URL
          type: string
          example: https://example.com/reference.jpg
        duration:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: |
            Output video duration (seconds)

            **Notes:**
            - Range: `1` - `15`
            - Default: `6` if not provided
          example: 6
        aspect_ratio:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: |
            Output video aspect ratio

            **Options:**
            - `auto`, `16:9`, `4:3`, `3:2`, `1:1`, `2:3`, `3:4`, `9:16`

            **Notes:**
            - Default: `auto` if not provided
          example: auto
        resolution:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: |
            Output video resolution

            **Options:**
            - `480p`
            - `720p`

            **Notes:**
            - Default: `720p` if not provided
          example: 480p
    TaskResponse:
      type: object
      properties:
        created:
          type: integer
          description: Task creation timestamp
          example: 1757165031
        id:
          type: string
          description: Task ID
          example: task-unified-1757165031-uyujaw3d
        model:
          type: string
          description: Actual model name used
        object:
          type: string
          description: Specific task type
          enum:
            - video.generation.task
        progress:
          type: integer
          description: Task progress percentage (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: Task status
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          type: object
          description: Asynchronous task info
          properties:
            can_cancel:
              type: boolean
              description: Whether the task can be cancelled
              example: true
            estimated_time:
              type: integer
              description: Estimated completion time (seconds)
              example: 45
        type:
          type: string
          description: Task output type
          enum:
            - video
          example: video
    ErrorResponse400:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid request format
            type:
              type: string
              example: invalid_request_error
    ErrorResponse401:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid API key
            type:
              type: string
              example: authentication_error
    ErrorResponse402:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Insufficient account balance
            type:
              type: string
              example: insufficient_quota
    ErrorResponse422:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Parameter validation failed
            type:
              type: string
              example: validation_error
    ErrorResponse429:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Rate limit exceeded
            type:
              type: string
              example: rate_limit_error
    ErrorResponse500:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Internal server error
            type:
              type: string
              example: server_error
    ErrorResponse503:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Service temporarily unavailable, please try again later
            type:
              type: string
              example: service_unavailable
  responses:
    TaskCreated:
      description: Task created successfully
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TaskResponse'
    BadRequest:
      description: Invalid request format
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse400'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse401'
    PaymentRequired:
      description: Insufficient balance
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse402'
    UnprocessableEntity:
      description: Parameter validation failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse422'
    TooManyRequests:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse429'
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse500'
    ServiceUnavailable:
      description: Service temporarily unavailable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse503'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        ## All APIs require Bearer Token authentication ##

        Add to request header:

        `Authorization: Bearer YOUR_API_KEY`

````